% D{\'e}finition des fontes utilis{\'e}es dans Carnot.Mac
% Format Plain- anglais
% Michel Quercia le 03/09/95

\def\mathfont#1 #2 #3 #4 #5 #6 #7{%
   \expandafter\font\csname ten#1\endcsname=#2#3   scaled #6%
   \expandafter\font\csname seven#1\endcsname=#2#4 scaled #6%
   \expandafter\font\csname five#1\endcsname=#2#5  scaled #6%
   \textfont#7=\csname ten#1\endcsname
   \scriptfont#7=\csname seven#1\endcsname
   \scriptscriptfont#7=\csname five#1\endcsname
}

\font \smc=dmcsc10                      % petites capitales
\font \ssf=dmss10                       % sans serif
\font \bfsl=dmbxsl10                    % gras penche
\let  \bftt=\tentt                      % gras typewriter
\font \bfss=dmssbx10                    % gras sans serif
\font \sltt=dmsltt10                    % typewriter penche
\font \ssit=dmssi10                     % sans serif italique
\font\footlinefont = dmti10             % fonte de haut et bas de page
\font\lasy=lasy10 scaled 1200           % LateX symbol (guillemets)
\csname newfam\endcsname\msafam         % declare les fontes AMS
\csname newfam\endcsname\msbfam
\mathfont msa msam 10 7 5 1000 \msafam
\mathfont msb msbm 10 7 5 1000 \msbfam

\def\gros{\suitegros 10 7 5 1200        % agrandissement des fontes
          \font \bfsl=dmbxsl10 scaled 1200
          \font \bfss=dmssbx10 scaled 1200
          \font \sltt=dmsltt10 scaled 1200
          \font \smc =dmcsc10  scaled 1200
          \font \lasy=lasy10   scaled 1440}
\def\Gros{\suitegros 10 7 5 1440
          \font \bfsl=dmbxsl10 scaled 1440
          \font \bfss=dmssbx10 scaled 1440
          \font \sltt=dmsltt10 scaled 1440
          \font \smc =dmcsc10  scaled 1440
          \font \lasy=lasy10   scaled 1728}
\def\petit{\suitegros 8 6 5 1000
          \font \bfsl=dmbxsl10 scaled 800
          \font \bfss=dmssbx10 scaled 800
          \font \sltt=dmsltt10 scaled 800
          \font \smc =dmcsc10  scaled 800
          \font \lasy=lasy10              }
\def\suitegros#1 #2 #3 #4 {%
  \mathfont rm  dmr  #1 #2 #3 #4 0%
  \mathfont i   cmmi #1 #2 #3 #4 1%
  \mathfont sy  cmsy #1 #2 #3 #4 2%
  \mathfont bf  dmbx #1 #2 #3 #4 \bffam
  \font \tentt=dmtt#1 scaled #4 \textfont\ttfam=\tentt
  \font \tensl=dmsl#1 scaled #4 \textfont\slfam=\tensl
  \font \tenit=dmti#1 scaled #4 \textfont\itfam=\tenit
  \font \ssf=dmss#1 scaled #4%
  \let  \bftt=\tentt
  \font \ssit=dmssi#1 scaled #4%
  \mathfont msa msam #1 #2 #3 #4 \msafam
  \mathfont msb msbm #1 #2 #3 #4 \msbfam
  \textfont3=\tenex
  \scriptfont3=\tenex
  \scriptscriptfont3=\tenex
  \normallineskip=#1pt\multiply\normallineskip by #4\divide\normallineskip by 10000
  \normalbaselineskip=12\normallineskip
  \normallineskiplimit=\normallineskip
  \normalbaselines
  \rm
}
